Skip to main content
GET
/
v1
/
churches
List Churches
curl --request GET \
  --url https://api.thefaithapp.com/v1/churches \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <x-api-key>'
import requests

url = "https://api.thefaithapp.com/v1/churches"

headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<x-api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://api.thefaithapp.com/v1/churches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_page": 123,
  "data": [
    {}
  ],
  "data[].public_uuid": "<string>",
  "per_page": 123,
  "total": 123
}
Returns the paginated public church directory that third-party apps can browse.

Query parameters

  • search: optional text filter.
  • page: optional page number.
  • per_page: optional page size.

Request inputs

X-API-Key
string
required
Your client API key from the dashboard (Settings page).
Optional text search filter.
page
number
Page number for pagination.
per_page
number
Number of records to return per page.

Response fields

current_page
number
The current page of the public church directory.
data
object[]
required
The paginated church records that matched the current filter.
data[].public_uuid
string
The public church identifier you can pass into GET /v1/churches/public/{uuid}.
per_page
number
The maximum number of church records returned in this page.
total
number
The total number of matching churches across the full directory.

Example response

{
  "current_page": 1,
  "data": [
    {
      "id": 12,
      "name": "Example Church",
      "email": "info@examplechurch.com",
      "location": "Kampala, Uganda",
      "image": "https://cdn.example.com/clients/example.png",
      "about": "<p>A welcoming church community.</p>",
      "public_uuid": "11111111-2222-3333-4444-555555555555",
      "created_at": "2025-04-11T08:40:54.000000Z",
      "updated_at": "2026-05-27T17:50:32.000000Z"
    }
  ],
  "first_page_url": "https://api.thefaithapp.com/v1/churches?page=1",
  "last_page": 1,
  "per_page": 30,
  "total": 1
}